<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Elvira Meets Vincent Price</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Elvira-Meets-Vincent-Price-4/digital-comic/961830</Web>
  <Summary>Amunet reads The Spell of the Final Day, and Amun-Ra returns, bringing death and destruction with him! And everyone’s invited to watch on their favorite streaming service! Can they be stopped? Can the Mistress of the Dark save the world from a pair of ancient gods… armed only with a DVD of an unreleased horror movie from the seventies? Sure, it sounds crazy when you put it like that, but you won’t know just how crazy ‘til you read “Inglorious Bastet,” the thrilling conclusion of Elvira and Vincent Price’s first adventure together… brought to you by writer David Avallone (Bettie Page, Drawing Blood) and artist Juan Samu.

And the mistress of the dark has never looked better under this busty bevy of covers: Acosta! Samu! Marques/Bone and a photo of the lady herself!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB961830], [ASINB09CHKBQ5S]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Horror, Comedy</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
